#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import cmk.gui.utils
from cmk.gui.plugins.views import (
    inventory_displayhints,)
from cmk.gui.i18n import _

inventory_displayhints.update({
    '.software.check_point.updates:': {
        'title': _('Updates'),
        'keyorder': [
            'file_name',
            'type',
            'status',
            'recommended',
            'available_since',
            'installed_at',
            'description'
            ],
        'view': 'invcheckpointupdates_of_host',
        },
    })

from cmk.gui.plugins.views.inventory import declare_invtable_view

declare_invtable_view(
    'invcheckpointupdates',
    '.software.check_point.updates:',
    _('Check Point updates'),
    _('Check Point updates'),
)
